USE [PV226-GEOGRAPHY]
GO

/****** Object:  StoredProcedure [dbo].[uspGetBusStops]    Script Date: 16.5.2012 15:28:03 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[uspGetBusStops]
	@Longitude float, @Latitude float, @Distance int
AS
BEGIN
 
	DECLARE @currPosition GEOGRAPHY
	SET @currPosition = geography::STPointFromText('POINT(' + CAST(@Longitude AS nvarchar(20)) + ' ' + CAST(@Latitude AS nvarchar(20)) + ')', 4326)

	SELECT *, 
		Location.ToString() StringLocation ,
		Location.Long Longitude,
		Location.Lat Latitude
	FROM BusStops bs
	WHERE bs.Location.STDistance(@currPosition) <= @Distance

END
GO


